package TestApp::Controller::Root;

use Modern::Perl;
use Moose;
BEGIN { extends "Catalyst::Controller" }

__PACKAGE__->config(
    namespace => '',
);

sub index :Private {
    my ($self, $c) = @_;

    $c->res->body('i am index');
}

sub is_session_restored :Local {
    my ($self, $c) = @_;

    $c->res->body( $c->is_session_restored ? 'yes' : 'no' );
}

sub session_and_is_session_restored :Local {
    my ($self, $c) = @_;

    $c->session;
    $c->res->body( $c->is_session_restored ? 'yes' : 'no' );
}

sub session :Local {
    my ($self, $c) = @_;

    $c->res->body( $c->session ? 'yes' : 'no' );
}

sub sessionid :Local {
    my ($self, $c) = @_;

    $c->session;
    $c->res->body( $c->sessionid );
}

sub session_and_check :Local {
    my ($self, $c) = @_;

    $c->session;

    $c->res->body( $c->is_session_restored ? 'yes' : 'no' );
}

#sub login :Local {
#    my ($self, $c) = @_;
#
#    $c->res->body(
#        $c->authenticate(
#            {
#                username => $c->req->params->{username},
#                password => $c->req->params->{password},
#            }
#        ) ? 'success' : 'fail'
#    );
#}
#
#sub user :Local {
#    my ($self, $c) = @_;
#
#    $c->res->body( $c->user ? "yes" : "no" );
#}
#
#sub user_exists :Local {
#    my ($self, $c) = @_;
#
#    $c->res->body( $c->user_exists ? "yes" : "no" );
#}
#
#sub eval :Local {
#    my ($self, $c) = @_;
#
#    my $ret = eval $c->req->params->{code};
#
#    if ($@) {
#        $c->error(@_);
#        return;
#    }
#
#    $c->res->body($ret);
#}

1;
